%define oname   erubis

Name:       ruby-%{oname}
Version:    2.7.0
Release:    %mkrel 1
Summary:    A fast and extensible eRuby implementation which supports multi-language
License:    MIT
Group:      Development/Ruby
URL:        http://www.kuwata-lab.com/erubis/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Erubis is an implementation of eRuby and has the following features:
* Very fast, almost three times faster than ERB and about 10% faster than
eruby.
* Multi-language support (Ruby/PHP/C/Java/Scheme/Perl/Javascript)
* Auto escaping support
* Auto trimming spaces around '<% %>'
* Embedded pattern changeable (default '<% %>')
* Enable to handle Processing Instructions (PI) as embedded pattern (ex.
'<?rb ... ?>')
* Context object available and easy to combine eRuby template with YAML
datafile
* Print statement available
* Easy to extend and customize in subclass
* Ruby on Rails support

%files
%defattr(-, root, root, -)
%{_bindir}/erubis
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Tue Apr 19 2011 shikamaru <shikamaru> 2.7.0-1.mga1
+ Revision: 88793
- new version 2.7.0

* Sat Feb 12 2011 shikamaru <shikamaru> 2.6.6-1.mga1
+ Revision: 51157
- imported package ruby-erubis


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.6.6-1
- Initial package
